DPKG-DEB(1)

NOM
dpkg-deb - outil pour la manipulation des archives (.deb) des paquets Debian

SYNOPSIS
dpkg-deb -b|--build répertoire [archive|répertoire]
dpkg-deb -I|--info archive [control-fichier-nom ..]
dpkg-deb -f|--field archive [control-champ-nom ...]
dpkg-deb -c|--contents archive
dpkg-deb -x|--extract|-X|--vextract archive répertoire
dpkg-deb --fsys-tarfile archive
dpkg-deb --control archive répertoire

DESCRIPTION
dpkg-deb crée un paquet, dépaquète ou donne des renseignements sur les archives Debian dpkg sert à installer ou à supprimer des paquets sur le système. On peut aussi lancer dpkg-deb en appelant dpkg avec les options que vous voulez passer à dpkg-deb. dpkg comprend que vous voulez dpkg-deb et le lance pour vous.

ACTION OPTIONS

--build, -b
    Crée une archive Debian avec l'arborescence contenue dans répertoire. répertoire doit posséder un sous-répertoire DEBIAN qui contient les fichiers de contrôle tel que le fichier « control » lui-même. Ce répertoire n'apparaît pas dans l'archive de l'arborescence du paquet binaire ; mais les fichiers qu'il contient sont mis dans la zone de contrôle du paquet binaire. On peut préciser le degré de compression en ajoutant une option -z#. dpkg-deb passe cette option à gzip. À moins de préciser --nocheck, dpkg-deb lit DEBIAN/control et l'analyse. Il cherche les erreurs de syntaxe et d'autres problèmes existants ; et il affiche le nom du paquet binaire qu'il construit. dpkg-deb vérifie aussi les permissions des scripts du responsable et des autres fichiers qu'il trouve dans le répertoire de contrôle DEBIAN. Quand aucune archive n'est donnée, dpkg-deb appelle le paquet répertoire.deb. Si l'archive qui doit être créée existe déjà, elle est remplacée. Quand le second argument est un répertoire, dpkg-deb appelle le paquet paquet_version_arch.deb, ou bien paquet_version.deb si aucun champ Architecture n'est présent dans le fichier de contrôle du paquet. Quand un répertoire cible est précisé à la place d'un fichier, l'option --nocheck ne doit pas être utilisée (puisque dpkg-deb a besoin de lire et d'analyser le fichier de contrôle du paquet pour connaître le nom de fichier à utiliser).

--info, -I
    Donne des renseignements sur une archive de paquet binaire. Quand aucun argument control-fichier-nom n'est précisé, un résumé du contenu du paquet ainsi que son fichier « control » sont affichés. Quand un argument control-fichier-nom est précisé, dpkg-deb affiche les éléments dans l'ordre d'apparition ; quand l'un des éléments n'est pas présent, il affiche un message d'erreur sur « sdterr » et quitte avec un code égal à 2.

--field, -f
    Extrait les renseignements du fichier « control » de l'archive du paquet binaire. Quand aucun argument control-fichier-champ n'est précisé, le fichier « control » est affiché en entier. Quand il y en a un, dpkg-deb affiche ses éléments en suivant leur ordre d'apparition dans le fichier « control ». Quand il y a plus d'un argument control-fichier-field, dpkg-deb fait précéder chacun par le nom de son champ (puis par un « deux-points » et un espace). L'absence des champs demandés ne provoque pas de messages d'erreur.

--contents, -c
    Liste seulement l'arborescence des fichiers d'une archive de paquet. C'est en fait le résultat produit par la commande tar et une option d'énumération verbeuse.

--extract, -x, --vextract, -X
    Extrait l'arborescence d'une archive de paquet dans le répertoire spécifié. --vextract (-X) affiche la liste des fichiers au fur et à mesure qu'ils sont extraits, tandis que --extract (-x) ne produit pas de message à moins qu'une erreur survienne. Il faut remarquer que l'extraction d'un paquet dans le répertoire root ne produit pas une installation correcte ! Utilisez dpkg pour l'installation des paquets. répertoire est créé si nécessaire (mais pas ses répertoires parents).

--fsys-tarfile
    Extrait les données de l'arborescence d'une archive de paquet et les envoie sur la sortie standard dans le format propre à la commande tar. En combinant cette option avec la commande tar, on peut ainsi extraire un fichier précis d'une archive de paquet.

--control, -e
    Extrait les fichiers de contrôle d'une archive de paquet dans le répertoire spécifié. Quand aucun répertoire n'est précisé, on utilise un sous-répertoire DEBIAN du répertoire actuel. Le répertoire cible est créé si nécessaire (mais pas ses répertoires parents).

--help, -h
    Affiche l'aide de dpkg-deb qui résume la manière d'utiliser ses options.

--version
    Affiche le numéro de version de dpkg-deb.

--licence
    Affiche des renseignements sur le copyright de dpkg-deb et l'absence de garantie. (On peut utiliser l'écriture américaine --license.)

AUTRES OPTIONS

--new
    S'assure que dpkg-deb construit une archive avec le « nouveau » format. C'est le comportement par défaut.

--old
    Oblige dpkg-deb à construire une archive avec l'« ancien » format. Ce format, moins facilement compris par les outils non-Debian, est maintenant dépassé. On l'utilise seulement quand on construit des paquets qui doivent être analysés par des versions de dpkg plus anciennes que la version 0.93.76 (Septembre 1995), qui fut produite uniquement pour le format « i386 a.out ».

--nocheck
    Empêche les vérifications normales de dpkg-deb --build quant au contenu proposé d'une archive. De cette façon, on peut construire n'importe quelle archive, aussi défectueuse soit elle.

--debug, -D
    Permet les messages de débogage. Ce n'est pas très intéressant.

BOGUES
dpkg-deb -I paquet1.deb paquet2.deb se trompe. Il n'y a pas de validation des fichiers .deb ; en fait , il n'y a même pas de simple somme de contrôle. N'essayez pas d'installer un logiciel avec dpkg-deb ! Vous devez utiliser dpkg pour être sûr que tous ses fichiers sont correctement mis en place, que les scripts du paquet sont exécutés et que son contenu et son état sont enregistrés.

VOIR AUSSI
deb(5), deb-control(5), dpkg(8), dselect(8).

AUTEUR
dpkg-deb et cette page de manuel ont été écrits par Ian Jackson. Le copyright (C) date de 1995-1996 et ils ont paru sous la licence « GNU General Public Licence » ; il n'y a PAS de garantie. Voyez /usr/share/doc/dpkg/copyright et /usr/share/common-licenses/GPL pour des précisions.

TRADUCTION
Philippe Batailler, 2005. Veuillez signaler toute erreur à <debian-l10-french@lists.debian.org>.